Subject: Re: zsh and line breaks
From: Oliver Kiddle <[email-masked]>
To: "Peter A. Castro" <[email-masked]>
Cc: zzapper <[email-masked]>, [email-masked], [email-masked]
Date: Wed, 31 Mar 2004 14:45:28 +0200

"Peter A. Castro" wrote:
> > Are those corrections likely to be limited to the Cygwin package for
> > zsh?
> 
> Yes.  Currently, my changes are Cygwin specific and really don't apply to
> the other platforms.

It is easy for us to add `#ifdef __CYGWIN__' around changes or #define
O_TEXT to zero on other systems so if you do correct the problem,
please send the changes back to us.

> I'm aware of O_TEXT and I thought I'd changed all of the places where
> files are opened already, but I just checked my patches and those changes
> are gone!  AARRGGHH!!  Ok, I'll re-edit and get that back in.  Going
> through stdin or via piped fds may be an issue still.  Anyway, thanks for
> the thought!

It seems there is a setmode() function declared in io.h which will
allow the mode to be changed on any already open file descriptors.

Oliver

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/